Bug 1801398

Summary: Enable EarlyOOM
Product: [Fedora] Fedora Reporter: Ben Cotton <bcotton>
Component: Changes TrackingAssignee: Chris Murphy <bugzilla>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 32CC: bcotton, pachoramos1
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-04-28 14:30:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Ben Cotton 2020-02-10 19:21:43 UTC
This is a tracking bug for Change: Enable EarlyOOM
For more details, see: https://fedoraproject.org/wiki/Changes/EnableEarlyoom

Install earlyoom package, and enable it by default. If both RAM and swap go below 10% free, earlyoom issues SIGTERM to the process with the largest oom_score. If both RAM and swap go below 5% free, earlyoom issues SIGKILL to the process with the largest oom_score. The idea is to recover from out of memory situations sooner, rather than the typical complete system hang in which the user has no other choice but to force power off.

Comment 1 Ben Cotton 2020-02-11 18:14:00 UTC
Branching Fedora 32 Changes from rawhide. Today is the Code Complete (testable) deadline. Please make sure your bug status is set appropriately:

Complete (testable) -> MODIFIED
Complete (100% code complete) -> ON_QA (deadline is 25 February)

If you need to defer this change until Fedora 33, please set the version back to 'rawhide'.

Comment 2 Chris Murphy 2020-02-13 19:51:08 UTC
https://pagure.io/fedora-comps/pull-request/452
https://src.fedoraproject.org/rpms/fedora-release/pull-request/105

This is code complete and ready for testing.

Comment 3 Ben Cotton 2020-04-28 14:30:34 UTC
Fedora 32 is released!